package com.sunxung.factoring.entity.refundsManagement.vo;

import com.sunxung.factoring.entity.sys.Dictionary;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description 应退明细Vo类
 * @Author Yafan Wang
 * @Date 2024/3/7 20:43
 */
public class LedgerDetailsVo {

    /**
     * 分账id
     **/
    private Long ledgerAccountBasicInfoId;
    /**
     * 分账编号
     **/
    private String ledgerNumber;
    /**
     * 入账时间
     **/
    private Date ledgerDate;
    /**
     * 入账标签 0:下游回款、1:上游回购
     **/
    private Integer label;
    /**
     * 金额类型
     **/
    private String amountType;

    /**
     * 金额类型字典
     **/
    private Dictionary amountTypeDic;
    /**
     * 金额
     **/
    private BigDecimal amount;
    /**
     * 是否选中
     **/
    private Boolean selected;
    /**
     * 货款分配表的id
     **/
    private Long ledgerFundGoodsAssignId;

    public Long getLedgerAccountBasicInfoId() {
        return ledgerAccountBasicInfoId;
    }

    public void setLedgerAccountBasicInfoId(Long ledgerAccountBasicInfoId) {
        this.ledgerAccountBasicInfoId = ledgerAccountBasicInfoId;
    }

    public String getLedgerNumber() {
        return ledgerNumber;
    }

    public void setLedgerNumber(String ledgerNumber) {
        this.ledgerNumber = ledgerNumber;
    }

    public Date getLedgerDate() {
        return ledgerDate;
    }

    public void setLedgerDate(Date ledgerDate) {
        this.ledgerDate = ledgerDate;
    }

    public Integer getLabel() {
        return label;
    }

    public void setLabel(Integer label) {
        this.label = label;
    }

    public String getAmountType() {
        return amountType;
    }

    public void setAmountType(String amountType) {
        this.amountType = amountType;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public Boolean getSelected() {
        return selected;
    }

    public void setSelected(Boolean selected) {
        this.selected = selected;
    }

    public Long getLedgerFundGoodsAssignId() {
        return ledgerFundGoodsAssignId;
    }

    public void setLedgerFundGoodsAssignId(Long ledgerFundGoodsAssignId) {
        this.ledgerFundGoodsAssignId = ledgerFundGoodsAssignId;
    }

    public Dictionary getAmountTypeDic() {
        return amountTypeDic;
    }

    public void setAmountTypeDic(Dictionary amountTypeDic) {
        this.amountTypeDic = amountTypeDic;
    }
}
